![Maildots](logo.png)

Maildots is a cross-platform app designed to streamline the communication via e-mail and optimize the management and functionality of this medium
This repository holds the source code for the **Bot-builder**

## Features

* **Fast:** Maildots is significantly faster than even dedicated e-mails servers, thanks to a new paradigm of communication between devices with Maildots installed.

* **Modern:** Maildots offers an innovative interface, which mix the robust functionality of e-mail with the simplicity of a message application.

* **Usefull:** Maildots expands the e-mail potencial, introducing new functions like control version for attachments, task manager and e-mail schedule.

* **Collaborative:** By first time, Maildots allows the user to work in team without having to move to another platform.


## Use


Prerequisites:

 * Download the [**Node-js 8.0.9 or later**](https://nodejs.org/es/download/) and install it.
 * Install Typescript globally
 
  ```bash
 npm install -g typescript
 ```

To start coding
	
	* Install bot builder

 ```bash
 $ npm install -g linkbox-bot

 * Create base project

 ```bash
 $ linkbox-bot -n your_name project_name
 $ linkbox-bot cd project_name

 * Install dependencies

 ```bash
 project_name$ npm install
 ```
 
  * Compile Project

 ```bash
 project_name$ tsc
 ```
 
  * Create .env file with your bot data in root folder

 ```
 ACCOUNT_TOKEN=XXXXXXXXXXXXXXXXXXXXXXXXXXXX
 BOT_TOKEN=XXXXXXXXXXXXXXXXXXXXXXXXXXXX
 BOT_ACCOUNT_CHANNEL=private-xxxxxxxxxx
 BOT_CHANNEL=private-xxxxxxxxxxxxx
 BOT_NAME=Dano-Bot
 BOT_ADDRESS=bot@maildots.com
 ```

 * Run bot

 ```bash
 project_name$ npm start
